Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalInternalFrameUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.InternalFrameUI
                  |
                  +--javax.swing.plaf.basic.BasicInternalFrameUI
                        |
                        +--javax.swing.plaf.metal.MetalInternalFrameUI

public class MetalInternalFrameUI
extends BasicInternalFrameUI

Metal implementation of JInternalFrame.

Inner classes inherited from class javax.swing.plaf.basic.BasicInternalFrameUI
`BasicInternalFrameUI.BasicInternalFrameListener, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.ComponentHandler, BasicInternalFrameUI.GlassPaneDispatcher, BasicInternalFrameUI.InternalFrameLayout, BasicInternalFrameUI.InternalFramePropertyChangeListener`

Field Summary
`protected static String` | `IS_PALETTE`

Fields inherited from class javax.swing.plaf.basic.BasicInternalFrameUI
`borderListener, componentListener, eastPane, frame, glassPaneDispatcher, internalFrameLayout, northPane, openMenuKey, propertyChangeListener, southPane, titlePane, westPane`

Constructor Summary
`MetalInternalFrameUI(JInternalFrame b)`

Method Summary
`protected JComponent` | `createNorthPane(JInternalFrame w)`
`static ComponentUI` | `createUI(JComponent c)`
`protected void` | `installKeyboardActions()`
`void` | `installUI(JComponent c)`
`void` | `setPalette(boolean isPalette)`
`protected void` | `uninstallKeyboardActions()`
`void` | `uninstallUI(JComponent c)`

Methods inherited from class javax.swing.plaf.basic.BasicInternalFrameUI
`activateFrame, closeFrame, createBorderListener, createComponentListener, createDesktopManager, createEastPane, createGlassPaneDispatcher, createInternalFrameListener, createLayoutManager, createPropertyChangeListener, createSouthPane, createWestPane, deactivateFrame, deiconifyFrame, deinstallMouseHandlers, getDesktopManager, getEastPane, getMaximumSize, getMinimumSize, getNorthPane, getPreferredSize, getSouthPane, getWestPane, iconifyFrame, installComponents, installDefaults, installListeners, installMouseHandlers, isKeyBindingActive, isKeyBindingRegistered, maximizeFrame, minimizeFrame, replacePane, setEastPane, setKeyBindingActive, setKeyBindingRegistered, setNorthPane, setSouthPane, setupMenuCloseKey, setupMenuOpenKey, setWestPane, uninstallComponents, uninstallDefaults, uninstallListeners`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IS_PALETTE

    protected static String IS_PALETTE

Constructor Detail

### MetalInternalFrameUI

    public MetalInternalFrameUI(JInternalFrame b)

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `BasicInternalFrameUI`

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    `uninstallUI` in class `BasicInternalFrameUI`

### installKeyboardActions

    protected void installKeyboardActions()

  Overrides:
    `installKeyboardActions` in class `BasicInternalFrameUI`

### uninstallKeyboardActions

    protected void uninstallKeyboardActions()

  Overrides:
    `uninstallKeyboardActions` in class `BasicInternalFrameUI`

### createNorthPane

    protected JComponent createNorthPane(JInternalFrame w)

  Overrides:
    `createNorthPane` in class `BasicInternalFrameUI`

### setPalette

    public void setPalette(boolean isPalette)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.